# net_l3_interface – Manage L3 interfaces on network devices

New in version 2.4.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Updated modules released with more functionality

Alternative

  Use platform-specific “[netos]_l3_interfaces” module

## Synopsis

- This module provides declarative management of L3 interfaces on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of L3 interfaces definitions
ipv4 - |  | IPv4 of the L3 interface.
ipv6 - |  | IPv6 of the L3 interface.
name - |  | Name of the L3 interface.
purge - | Default: "no" | Purge L3 interfaces not defined in the aggregate parameter.

state
-

Choices:
- present ←
- absent

State of the L3 interface configuration.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: Set eth0 IPv4 address
      net_l3_interface:
        name: eth0
        ipv4: 192.168.0.1/24

    - name: Remove eth0 IPv4 address
      net_l3_interface:
        name: eth0
        state: absent

    - name: Set IP addresses on aggregate
      net_l3_interface:
        aggregate:
          - { name: eth1, ipv4: 192.168.2.10/24 }
          - { name: eth2, ipv4: 192.168.3.10/24, ipv6: "fd5d:12c9:2201:1::1/64" }

    - name: Remove IP addresses on aggregate
      net_l3_interface:
        aggregate:
          - { name: eth1, ipv4: 192.168.2.10/24 }
          - { name: eth2, ipv4: 192.168.3.10/24, ipv6: "fd5d:12c9:2201:1::1/64" }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ["set interfaces ethernet eth0 address '192.168.0.1/24'"]

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.